// использование функции _setvideomode()

#include <conio.h>
#include <graph.h>

void main()
{
	// пытаемся установить режим _MRES16COLOR

	if(_setvideomode(_MRES16COLOR))
		_outtext("16 - color graphics mode.");

	// пытаемся установить режим _MRES4COLOR

	else if(_setvideomode(_MRES4COLOR))
		_outtext("4 - color graphics mode.");

	else
		_outtext("  Adapter   does   not   support\n"
					"_MRES16COLOR and _MRES4COLOR mode.");

	getch();

	// восстанавливаем режим, используемый адаптером по умолчанию

	_setvideomode( _DEFAULTMODE );
}



